Bug 83415 - EDITING: Changing format of cell content with select-all (ctrl+A) not applied to all lines
Summary: EDITING: Changing format of cell content with select-all (ctrl+A) not applied...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2014-09-02 20:52 UTC by kaesezeh
Modified: 2019-12-03 14:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example (12.61 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-09-15 21:20 UTC, kaesezeh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaesezeh 2014-09-02 20:52:55 UTC
I have cells in Calc that contain line breaks and, because of how someone else pasted stuff in there, where the stuff before the line break is in a different font and a different color than the stuff after the line break. What is super-frustrating is that I can't just do CTRL-A and then apply the font and color that I want to everything - rather, I have to double-click into every cell and change things there one by one. That CAN'T be what ppl want, can it?
Comment 1 Joel Madero 2014-09-02 21:03:42 UTC
We need a test document and clear reproducible steps. Marking as NEEDINFO - once you provide these please set to UNCONFIRMED. Thanks
Comment 2 kaesezeh 2014-09-15 21:20:25 UTC
Created attachment 106347 [details]
example

You want to make everything black font (i.e., automatic) so try this:

- CTRL-A
- click on the font color button, choose "Automatic"
--> nothing changes

You want to make everything Times New Roman so try this:

- CTRL-A
- click on the font button, choose "Times New Roman
--> nothing changes
Comment 3 ign_christian 2014-09-16 04:09:01 UTC
(In reply to comment #2)
> --> nothing changes
Changes applied on first line only. Second line not changed if has different format than first line.

Steps to verify the issue from scratch:
1. In cell A1, type: Line1 > line break (ctrl+enter)
2. type: Line2 > enter
3. Double-click 'Line2' in cell A1 to highlight the text
4. Choose font "Arial Black" > enter 
(*) it seems a display glitch bug, we must scroll down & up again to see the changes)
5. Select all (ctrl+A) > choose font "Times New Roman" > click on any cell

Issue: font changes only applied on 'Line1'

Note:
- If we do additional step (step 6), select-all & choose another font color, then font color changes applied to all line. Possibly it's because 'Line1' and 'Line2' originally has same font color.
- Same behavior if we change font color on step 4-5, and change font on step 6

Reproduced with LO 4.3.2.1, 4.2.6.3, and various versions since 3.3.0.4 under Ubuntu 12.04 x86
Same with AOO 4.1.1, seems inherited from OOO
Comment 4 QA Administrators 2015-10-14 19:56:21 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-12-02 09:55:24 UTC
Still repro the second line problem.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2017-01-03 19:39:49 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:20:22 UTC
Dear kaesezeh,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug